<template>
  <main class="create-post">NewPost</main>
  <PostWriter :post="post" />
</template>
<script lang="ts">
import { defineComponent } from "vue"
import PostWriter from "@/components/CreatePost/PostWriter/index.vue"
import { Post } from "@/types"
import moment from "moment"

export default defineComponent({
  components: {
    PostWriter,
  },
  setup() {
    const post: Post = {
      id: -1,
      title: "New Post",
      markdown: "## Create new post \n Enter new post here",
      html: "",
      autorId: 0,
      created: moment(),
    }

    return { post }
  },
})
</script>
